## com.declarativa.interprolog.gui
Class RelationTreeModel.BrowseAction

    java.lang.Object
      |
      +--javax.swing.AbstractAction
            |
            +--com.declarativa.interprolog.gui.RelationTreeModel.BrowseAction

All Implemented Interfaces:
  Action, ActionListener, Cloneable, EventListener, Serializable

Enclosing class:
  RelationTreeModel

public static class RelationTreeModel.BrowseAction
extends AbstractAction

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`RelationTreeModel.BrowseAction(PrologEngine engine, String relationFunctor, Object top)`

Method Summary
`void` `actionPerformed(ActionEvent e)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationTreeModel.BrowseAction

    public RelationTreeModel.BrowseAction(PrologEngine engine,
                                          String relationFunctor,
                                          Object top)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)